
/****************************************************************************
 * NCSA HDF                                                                 *
 * Scientific Data Technologies                                             *
 * National Center for Supercomputing Applications                          *
 * University of Illinois at Urbana-Champaign                               *
 * 605 E. Springfield, Champaign IL 61820                                   *
 *                                                                          *
 * For conditions of distribution and use, see the accompanying             *
 * hdf/COPYING f.                                                           *
 *                                                                          *
 ****************************************************************************/


#include "H5HL.h"



int main( void )
{
 

 hid_t       file_id; 
 int         data[6];
 herr_t      status;

	EXAMPLE("read a dataset");
 
 /* open file from example 1 */
 file_id = H5Fopen ("ex_lite1.h5", H5F_ACC_RDONLY, H5P_DEFAULT); 

 status = H5LTread_dataset_int(file_id,"/dset",data);
       
 status = H5Fclose (file_id);

	PASSED();

 return 0;


}


